> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.6/installing/kubernetes/selecting-cluster-nodes.md).

# Selecting Cluster Nodes

You can use Kubernetes [Node Selector](https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) to specify a set of nodes of the cluster on which Akamas containers will be scheduled.

To do so you should first look for a label common to all those nodes or create a new one. You can read more about labels in Kubernetes in the [official documentation](https://kubernetes.io/docs/concepts/overview/working-with-objects/labels/#updating-labels).

Once you have defined a label (say `nodeRole: akamas` ), you can edit the values.yaml file defined in the [Installing Akamas](/akamas-docs/3.6/installing/kubernetes/install-akamas.md) section adding the following properties.

```yaml
# Node selector for core akamas services
nodeSelector:
  nodeRole: akamas

# Node selector for elasticsearch database
elasticsearch:
  nodeSelector:
    nodeRole: akamas

# Node selector for postgresql database
postgresql:
  primary:
    nodeSelector:
      nodeRole: akamas

# Node selector for airflow
airflow:
  nodeSelector:
    nodeRole: akamas
```

You can then re-apply the chart using the `helm upgrade` command.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.6/installing/kubernetes/selecting-cluster-nodes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
